<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div {
            height: 300px;
            width: 300px;
            border: 2px solid black;
            animation: fondo-arcoiris 5s infinite;
        }

        @keyframes fondo-arcoiris {
            0% {
                background-color: #ff0000;
            }

            8.333% {
                background-color: #ff8000;
            }

            16.667% {
                background-color: #ffff00;
            }

            25.000% {
                background-color: #80ff00;
            }

            33.333% {
                background-color: #00ff00;
            }

            41.667% {
                background-color: #00ff80;
            }

            50.000% {
                background-color: #00ffff;
            }

            58.333% {
                background-color: #0080ff;
            }

            66.667% {
                background-color: #0000ff;
            }

            75.000% {
                background-color: #8000ff;
            }

            83.333% {
                background-color: #ff00ff;
            }

            91.667% {
                background-color: #ff0080;
            }

            100.00% {
                background-color: #ff0000;
            }
        }
    </style>
</head>

<body>
    <div></div>
</body>

</html>